import type { NobjcObject } from "objc-js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _EAAccessory } from "./EAAccessory.js";
export declare class _EASession extends _NSObject {
    static alloc(): _EASession;
    static new(): _EASession;
    init(): _EASession;
    initWithAccessory$forProtocol$(accessory: _EAAccessory, protocolString: _NSString): _EASession | null;
    accessory(): NobjcObject;
    protocolString(): NobjcObject;
    inputStream(): NobjcObject;
    outputStream(): NobjcObject;
}
